How many of you thought about dumping Wordpress because of this error?

Warning:  is_writable() []: open_basedir restriction in effect. File(/) is not within the allowed path(s): (/home/xxxxx:/usr/lib/php:/usr/local/lib/php:/tmp) in /home/xxxxx/public_html/wp-admin/includes/misc.php on line 128

Warning: Cannot modify header information - headers already sent by (output started at /home/xxxxx/public_html/wp-admin/includes/misc.php:128) in /home/xxxxx/public_html/wp-includes/pluggable.php on line 865
       Thank you for creating with WordPress. | Documentation | Feedback
 Version 2.8
Wordpress 2.8 insists in this, something that wasn't happening since version 2.6 or so.

How do you handle it?

It's quite easy, all you need to do is to edit your wp-config.php file and remove those 2 extra blank lines at the end, save and re-upload your file.

It should work now.